### Method

# Atk StreamableContent get_uri

since: 1.12

#### Declaration [src]

    const gchar*
    atk_streamable_content_get_uri (
      AtkStreamableContent* streamable,
      const gchar* mime_type
    )

#### Description [src]

Get a string representing a URI in IETF standard format (see http://www.ietf.org/rfc/rfc2396.txt) from which the object’s content may be streamed in the specified mime-type, if one is available. If mime_type is NULL, the URI for the default (and possibly only) mime-type is returned.

Note that it is possible for get_uri to return NULL but for get_stream to work nonetheless, since not all GIOChannels connect to URIs.

Available since: 1.12

#### Parameters

`mime_type`

  Type: `const gchar*`

  A gchar* representing the mime type, or NULL to request a URI for the default mime type.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

Returns a string representing a URI, or `NULL` if no corresponding URI can be constructed.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.